FLANG

Public Types | List of all members
Fortran::evaluate::SetLength< KIND > Struct Template Reference
Inheritance diagram for Fortran::evaluate::SetLength< KIND >:

## Public Types
using | Result = Type< TypeCategory::Character, KIND >
using | CharacterOperand = Result
using | LengthOperand = SubscriptInteger
using | Base = Operation< SetLength, Result, CharacterOperand, LengthOperand >
Public Types inherited from Fortran::evaluate::Operation< SetLength< KIND >, Type< TypeCategory::Character, KIND >, Type< TypeCategory::Character, KIND >, SubscriptInteger >
using | Derived = SetLength< KIND >
using | Result = Type< TypeCategory::Character, KIND >
using | Operand = std::tuple_element_t< J, OperandTypes >

## Additional Inherited Members
Public Member Functions inherited from Fortran::evaluate::Operation< SetLength< KIND >, Type< TypeCategory::Character, KIND >, Type< TypeCategory::Character, KIND >, SubscriptInteger >
| Operation (const Expr< OPERANDS > &... x)
| Operation (Expr< OPERANDS > &&... x)
Derived & | derived ()
const Derived & | derived () const
Expr< Operand< J > > & | operand ()
const Expr< Operand< J > > & | operand () const
Expr< Operand< 0 > > & | left ()
const Expr< Operand< 0 > > & | left () const
std::conditional_t<(operands > 1), Expr< Operand< 1 > > &, void > | right ()
std::conditional_t<(operands > 1), const Expr< Operand< 1 > > &, void > | right () const
int | Rank () const
bool | operator== (const Operation &that) const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const
Static Public Member Functions inherited from Fortran::evaluate::Operation< SetLength< KIND >, Type< TypeCategory::Character, KIND >, Type< TypeCategory::Character, KIND >, SubscriptInteger >
static constexpr std::optional< DynamicType > | GetType ()
Static Public Attributes inherited from Fortran::evaluate::Operation< SetLength< KIND >, Type< TypeCategory::Character, KIND >, Type< TypeCategory::Character, KIND >, SubscriptInteger >
static constexpr std::size_t | operands

The documentation for this struct was generated from the following file:

- include/flang/Evaluate/expression.h